﻿
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
namespace HeuristicLab.Analysis.FitnessLandscape.DataTables {

  [Item("AutoCorrelationTable", "DataTable that contains a series with the auto correlation function")]
  [StorableClass]
  public class AutoCorrelationTable : DataTable {

    #region Construction & Cloning

    [StorableConstructor]
    protected AutoCorrelationTable(bool deserializing) : base(deserializing) { }
    protected AutoCorrelationTable(AutoCorrelationTable original, Cloner cloner) : base(original, cloner) { }
    public AutoCorrelationTable() : base() { }
    public AutoCorrelationTable(string name) : base(name) { }
    public AutoCorrelationTable(string name, string description) : base(name, description) { }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new AutoCorrelationTable(this, cloner);
    }
    #endregion

  }

}
